On a clean install, I get the following error message. DB = PostgreSQL 9.6.0

system module
Update add_region_to_entity_displays

Failed: Drupal\Component\Plugin\Exception\PluginNotFoundException: The "media" entity type does not exist. in Drupal\Core\Entity\EntityTypeManager->getDefinition() (line 133 of /var/www/html/core/lib/Drupal/Core/Entity/EntityTypeManager.php).

The 5 pending updates remain, i.e. Drupal tries to do the db updates but can't, so keeps showing on status report.

Comments

rmcom created an issue. See original summary.

cilefen’s picture

Title: Persistant DB update error message after update to Drupal 8.3 » PluginNotFound exception after update to Drupal 8.3
Priority: Normal » Major
Related issues: +#2869773: Upgrade to 8.3.0: PluginNotFoundException: The "entity_reference_autocomplete_category" plugin does not exist
cilefen’s picture

Component: database system » plugin system
Berdir’s picture

Status: Active » Postponed (maintainer needs more info)

> Failed: Drupal\Component\Plugin\Exception\PluginNotFoundException: The "media" entity type does not exist.

There is no media entity type, not in core and likely also not in another module.

Did you have the work in progress media patch applied at some point to test it? That's not supported on actual site, you might have broken, left-over configuration from that in your system, that can only be cleaned up manually.

targoo’s picture

Similar issue with Drupal\Component\Plugin\Exception\PluginNotFoundException: The "file" plugin does not exist. in Drupal\Core\Plugin\DefaultPluginManager->doGetDefinition() (line 52 of /var/www/drupal/core/lib/Drupal/Component/Plugin/Discovery/DiscoveryTrait.php).

Berdir’s picture

that says plugin, not entity type. See my suggestions in #2869773: Upgrade to 8.3.0: PluginNotFoundException: The "entity_reference_autocomplete_category" plugin does not exist, export config, re-save settings of that form display.

Spanners’s picture

Been stuck on this for some time. I updated from 8.2.8 to 8.3.1 with composer and I get the same errors both through drush and Drupal admin.

Drupal\Component\Plugin\Exception\PluginNotFoundException: The "entity_reference_autocomplete_category" plugin does not exist. in Drupal\Core\Plugin\DefaultPluginManager->doGetDefinition() (line 52 of /path_to_drupal_8_site/web/core/lib/Drupal/Component/Plugin/Discovery/DiscoveryTrait.php).

My Drupal site is pretty bare bones. I've made one content type with a Title and Image field. I even deleted that and still I get the errors.

I tried disabling every module I installed and still I get the error.

This really sucks because there is a Views update as well, and because I can't run the DB updates, I can't even create a View (I get "An illegal choice has been detected").

I've looked at this and every other thread on this issue and none of the solutions have helped.

Looks like I'm rolling back core.

sloaneguy’s picture

I am getting the same error message when i run update.php:

system module

Update add_region_to_entity_displays

Failed: Drupal\Component\Plugin\Exception\PluginNotFoundException: The "media" entity type does not exist. in Drupal\Core\Entity\EntityTypeManager->getDefinition() (line 133 of /home/mitralvalvesurg/public_html/core/lib/Drupal/Core/Entity/EntityTypeManager.php).

Is there a fix out there for this? I can't figure it out or find one.

cilefen’s picture

What version of Drupal is this? Is the media module still in place on the filesystem?

nagarseth’s picture

My plugin exception is the "date" plugin.

block_content module
Update #8300

Failed: Drupal\Component\Plugin\Exception\PluginNotFoundException: The "date" plugin does not exist. in Drupal\Core\Plugin\DefaultPluginManager->doGetDefinition() (line 52 of /html/core/lib/Drupal/Component/Plugin/Discovery/DiscoveryTrait.php).

cilefen’s picture

#9, see #5.

cilefen’s picture

voleger’s picture